package nl.bartpelle.veteres.content.items

import co.paralleluniverse.fibers.Suspendable
import nl.bartpelle.skript.Script
import nl.bartpelle.veteres.content.animate
import nl.bartpelle.veteres.model.AttributeKey
import nl.bartpelle.veteres.net.message.game.command.InterfaceText
import nl.bartpelle.veteres.net.message.game.command.InterfaceVisibility
import nl.bartpelle.veteres.net.message.game.command.InvokeScript

/**
 * Created by Nick on 2016-12-11.
 */

object TheBloodChestVol1 {

	/**
	 *
	TODO convert to new system see {@code QABook}
 	 */
	
	@Suspendable fun first_page(it: Script) {
		val p = it.player()
		
		it.player().stopActions(false)
		p.putattrib(AttributeKey.QA_BOOK_PAGE, 1)
		p.interfaces().sendMain(27)
		p.invokeScript(InvokeScript.SETVARCS, -1, -1)
		it.animate(1350)
		
		p.write(InterfaceText(27, 3, "The Blood Chest Vol.1"))
		p.write(InterfaceText(27, 98, "1"))
		p.write(InterfaceText(27, 99, "2"))
		p.write(InterfaceVisibility(27, 4, true))
		p.write(InterfaceVisibility(27, 100, true))
		p.write(InterfaceText(27, 33, "Chapters"))
		p.write(InterfaceVisibility(27, 6, true))
		p.write(InterfaceVisibility(27, 102, true))
		p.write(InterfaceText(27, 34, ""))
		p.write(InterfaceVisibility(27, 8, true))
		p.write(InterfaceText(27, 35, ""))
		p.write(InterfaceText(27, 105, "<col=000080>Introduction"))
		p.write(InterfaceVisibility(27, 104, false))
		p.write(InterfaceVisibility(27, 10, true))
		p.write(InterfaceText(27, 36, ""))
		p.write(InterfaceText(27, 107, "<col=000080>The Chest"))
		p.write(InterfaceVisibility(27, 106, false))
		p.write(InterfaceVisibility(27, 12, true))
		p.write(InterfaceText(27, 37, ""))
		p.write(InterfaceText(27, 109, "<col=000080>The Keys"))
		p.write(InterfaceVisibility(27, 108, false))
		p.write(InterfaceText(27, 38, ""))
		p.write(InterfaceText(27, 111, "<col=000080>The Methodology"))
		p.write(InterfaceVisibility(27, 110, false))
		p.write(InterfaceVisibility(27, 14, true))
		p.write(InterfaceText(27, 39, ""))
		p.write(InterfaceText(27, 113, ""/*"<col=000080>Game Commands"*/))
		p.write(InterfaceVisibility(27, 112, false))
		p.write(InterfaceVisibility(27, 16, true))
		p.write(InterfaceText(27, 115, ""/*"<col=000080>Recover Lost Pet"*/))
		p.write(InterfaceText(27, 40, ""))
		p.write(InterfaceVisibility(27, 18, true))
		p.write(InterfaceVisibility(27, 114, false))
		p.write(InterfaceText(27, 117, ""/*"<col=000080>Where Are The Shops"*/))
		p.write(InterfaceText(27, 41, ""))
		p.write(InterfaceVisibility(27, 20, true))
		p.write(InterfaceVisibility(27, 116, false))
		p.write(InterfaceText(27, 119, "" /*"<col=000080>How To Gain Levels"*/))
		p.write(InterfaceText(27, 42, ""))
		p.write(InterfaceVisibility(27, 22, true))
		p.write(InterfaceVisibility(27, 118, false))
		p.write(InterfaceText(27, 43, ""))
		p.write(InterfaceVisibility(27, 24, true))
		p.write(InterfaceVisibility(27, 120, true))
		p.write(InterfaceText(27, 44, ""))
		p.write(InterfaceVisibility(27, 26, true))
		p.write(InterfaceVisibility(27, 122, true))
		p.write(InterfaceText(27, 45, ""))
		p.write(InterfaceVisibility(27, 28, true))
		p.write(InterfaceVisibility(27, 126, true))
		p.write(InterfaceText(27, 46, ""))
		p.write(InterfaceVisibility(27, 30, true))
		p.write(InterfaceVisibility(27, 126, true))
		p.write(InterfaceText(27, 47, ""))
		p.write(InterfaceVisibility(27, 32, true))
		p.write(InterfaceVisibility(27, 128, true))
		p.write(InterfaceVisibility(27, 64, true))
		p.write(InterfaceVisibility(27, 130, true))
		p.write(InterfaceText(27, 48, "<col=000080>Introduction"))
		p.write(InterfaceVisibility(27, 66, true))
		p.write(InterfaceVisibility(27, 132, true))
		p.write(InterfaceText(27, 49, ""))
		p.write(InterfaceText(27, 50, "<col=000000>What you hold in your hands"))
		p.write(InterfaceVisibility(27, 68, true))
		p.write(InterfaceVisibility(27, 134, true))
		p.write(InterfaceText(27, 51, "<col=000000>is a secret not known by"))
		p.write(InterfaceVisibility(27, 70, true))
		p.write(InterfaceVisibility(27, 136, true))
		p.write(InterfaceText(27, 52, "<col=000000>many. Some call it a curse,"))
		p.write(InterfaceVisibility(27, 72, true))
		p.write(InterfaceVisibility(27, 138, true))
		p.write(InterfaceText(27, 53, "<col=000000>others a blessing, but we, The"))
		p.write(InterfaceVisibility(27, 74, true))
		p.write(InterfaceVisibility(27, 140, true))
		p.write(InterfaceText(27, 54, "<col=000000>Finders, simply refer to it as "))
		p.write(InterfaceVisibility(27, 76, true))
		p.write(InterfaceVisibility(27, 142, true))
		p.write(InterfaceText(27, 55, "<col=000000>The Blood Chest. A bewitched"))
		p.write(InterfaceVisibility(27, 78, true))
		p.write(InterfaceVisibility(27, 144, true))
		p.write(InterfaceText(27, 56, "container that feeds on the"))
		p.write(InterfaceVisibility(27, 80, true))
		p.write(InterfaceVisibility(27, 146, true))
		p.write(InterfaceText(27, 57, "blood keys of man in exchange"))
		p.write(InterfaceVisibility(27, 82, true))
		p.write(InterfaceVisibility(27, 148, true))
		p.write(InterfaceText(27, 58, "for rewards from the abyss."))
		p.write(InterfaceVisibility(27, 84, true))
		p.write(InterfaceVisibility(27, 150, true))
		p.write(InterfaceText(27, 59, ""))
		p.write(InterfaceVisibility(27, 86, true))
		p.write(InterfaceVisibility(27, 152, true))
		p.write(InterfaceText(27, 60, "However you've come across"))
		p.write(InterfaceVisibility(27, 88, true))
		p.write(InterfaceVisibility(27, 154, true))
		p.write(InterfaceText(27, 61, "this book, do not share it with"))
		p.write(InterfaceVisibility(27, 90, true))
		p.write(InterfaceVisibility(27, 156, true))
		p.write(InterfaceText(27, 62, "any. Keep it for yourself, for"))
		p.write(InterfaceVisibility(27, 92, true))
		p.write(InterfaceVisibility(27, 158, true))
		p.write(InterfaceVisibility(27, 97, false))
		p.write(InterfaceVisibility(27, 95, true))
	}
	
	@Suspendable fun second_page(it: Script) {
		val p = it.player()
		
		it.player().stopActions(false)
		p.putattrib(AttributeKey.QA_BOOK_PAGE, 2)
		p.interfaces().sendMain(27)
		p.invokeScript(InvokeScript.SETVARCS, -1, -1)
		it.animate(1350)
		
		p.write(InterfaceText(27, 98, "3"))
		p.write(InterfaceText(27, 99, "4"))
		p.write(InterfaceVisibility(27, 4, true))
		p.write(InterfaceVisibility(27, 100, true))

		p.write(InterfaceText(27, 33, ""))
		p.write(InterfaceVisibility(27, 6, true))
		p.write(InterfaceVisibility(27, 102, true))

		p.write(InterfaceText(27, 34, ""))
		p.write(InterfaceVisibility(27, 8, true))
		p.write(InterfaceVisibility(27, 104, true))

		p.write(InterfaceText(27, 35, "within it lies a power that"))
		p.write(InterfaceVisibility(27, 10, true))
		p.write(InterfaceVisibility(27, 106, true))
		p.write(InterfaceText(27, 36, "should've never been discovered"))
		p.write(InterfaceVisibility(27, 12, true))
		p.write(InterfaceVisibility(27, 108, true))
		p.write(InterfaceText(27, 37, "by man."))
		p.write(InterfaceVisibility(27, 14, true))
		p.write(InterfaceVisibility(27, 110, true))
		p.write(InterfaceText(27, 38, ""))
		p.write(InterfaceVisibility(27, 16, true))
		p.write(InterfaceVisibility(27, 112, true))
		p.write(InterfaceText(27, 39, "In the next few pages we will"))
		p.write(InterfaceVisibility(27, 18, true))
		p.write(InterfaceVisibility(27, 114, true))
		p.write(InterfaceText(27, 40, "share everything we know about"))
		p.write(InterfaceVisibility(27, 20, true))
		p.write(InterfaceVisibility(27, 116, true))
		p.write(InterfaceText(27, 41, "the chest, the keys, and the"))
		p.write(InterfaceText(27, 42, "methodology behind acquiring"))
		p.write(InterfaceVisibility(27, 22, true))
		p.write(InterfaceVisibility(27, 118, true))
		p.write(InterfaceText(27, 43, "them."))
		p.write(InterfaceVisibility(27, 24, true))
		p.write(InterfaceText(27, 44, ""))
		p.write(InterfaceVisibility(27, 26, true))
		p.write(InterfaceVisibility(27, 122, true))
		p.write(InterfaceText(27, 45, ""))
		p.write(InterfaceVisibility(27, 28, true))
		p.write(InterfaceVisibility(27, 124, true))
		p.write(InterfaceText(27, 46, ""))
		p.write(InterfaceVisibility(27, 30, true))
		p.write(InterfaceVisibility(27, 126, true))
		p.write(InterfaceText(27, 47, ""))
		p.write(InterfaceVisibility(27, 32, true))
		p.write(InterfaceVisibility(27, 128, true))
		p.write(InterfaceVisibility(27, 64, true))
		p.write(InterfaceVisibility(27, 130, true))
		p.write(InterfaceText(27, 48, "<col=000080>The Chest"))
		p.write(InterfaceVisibility(27, 66, true))
		p.write(InterfaceVisibility(27, 132, true))
		p.write(InterfaceText(27, 49, ""))
		p.write(InterfaceVisibility(27, 68, true))
		p.write(InterfaceVisibility(27, 134, true))
		p.write(InterfaceText(27, 50, "We don't know much about"))
		p.write(InterfaceVisibility(27, 70, true))
		p.write(InterfaceVisibility(27, 136, true))
		p.write(InterfaceText(27, 51, "the chest. We'd tried"))
		p.write(InterfaceVisibility(27, 72, true))
		p.write(InterfaceVisibility(27, 138, true))
		p.write(InterfaceText(27, 52, "everything we could to"))
		p.write(InterfaceVisibility(27, 74, true))
		p.write(InterfaceVisibility(27, 140, true))
		p.write(InterfaceText(27, 53, "break the lock, from magics"))
		p.write(InterfaceVisibility(27, 76, true))
		p.write(InterfaceVisibility(27, 142, true))
		p.write(InterfaceText(27, 54, "to physical force, and the"))
		p.write(InterfaceVisibility(27, 78, true))
		p.write(InterfaceVisibility(27, 144, true))
		p.write(InterfaceText(27, 55, "lock would not break. Only"))
		p.write(InterfaceVisibility(27, 80, true))
		p.write(InterfaceVisibility(27, 146, true))
		p.write(InterfaceText(27, 56, "upon insertion of a key did"))
		p.write(InterfaceVisibility(27, 82, true))
		p.write(InterfaceVisibility(27, 148, true))
		p.write(InterfaceText(27, 57, "the lock loosen and the chest "))
		p.write(InterfaceVisibility(27, 84, true))
		p.write(InterfaceVisibility(27, 150, true))
		p.write(InterfaceText(27, 58, "open."))
		p.write(InterfaceVisibility(27, 86, true))
		p.write(InterfaceVisibility(27, 152, true))
		p.write(InterfaceText(27, 59, ""))
		p.write(InterfaceVisibility(27, 88, true))
		p.write(InterfaceVisibility(27, 154, true))
		p.write(InterfaceText(27, 60, "Upon retrieval of the items,"))
		p.write(InterfaceVisibility(27, 90, true))
		p.write(InterfaceVisibility(27, 156, true))
		p.write(InterfaceText(27, 61, "the chest would close and"))
		p.write(InterfaceVisibility(27, 92, true))
		p.write(InterfaceVisibility(27, 158, true))
		p.write(InterfaceText(27, 62, "the lock would secure itself"))
		p.write(InterfaceVisibility(27, 97, false))
		p.write(InterfaceVisibility(27, 95, false))
	}
	
	@Suspendable fun third_page(it: Script) {
		val p = it.player()
		
		it.player().stopActions(false)
		p.putattrib(AttributeKey.QA_BOOK_PAGE, 3)
		p.interfaces().sendMain(27)
		p.invokeScript(InvokeScript.SETVARCS, -1, -1)
		it.animate(1350)
		
		p.write(InterfaceText(27, 98, "5"))
		p.write(InterfaceText(27, 99, "6"))
		p.write(InterfaceVisibility(27, 4, true))
		p.write(InterfaceVisibility(27, 100, true))
		p.write(InterfaceText(27, 33, ""))
		p.write(InterfaceVisibility(27, 6, true))
		p.write(InterfaceVisibility(27, 102, true))
		p.write(InterfaceText(27, 34, ""))
		p.write(InterfaceVisibility(27, 8, true))
		p.write(InterfaceVisibility(27, 104, true))
		p.write(InterfaceText(27, 35, "once more. We've tried to"))
		p.write(InterfaceVisibility(27, 10, true))
		p.write(InterfaceVisibility(27, 106, true))
		p.write(InterfaceText(27, 36, "destroy this chest, but so"))
		p.write(InterfaceVisibility(27, 12, true))
		p.write(InterfaceVisibility(27, 108, true))
		p.write(InterfaceText(27, 37, "far it seems indestructible."))
		p.write(InterfaceVisibility(27, 14, true))
		p.write(InterfaceVisibility(27, 110, true))
		p.write(InterfaceText(27, 38, ""))
		p.write(InterfaceVisibility(27, 16, true))
		p.write(InterfaceVisibility(27, 112, true))
		p.write(InterfaceText(27, 39, "* The chest appears to have"))
		p.write(InterfaceVisibility(27, 18, true))
		p.write(InterfaceVisibility(27, 114, true))
		p.write(InterfaceText(27, 40, "an infinite supply of rewards."))
		p.write(InterfaceVisibility(27, 20, true))
		p.write(InterfaceVisibility(27, 116, true))
		p.write(InterfaceText(27, 41, ""))
		p.write(InterfaceText(27, 42, "* The chest can only be"))
		p.write(InterfaceVisibility(27, 22, true))
		p.write(InterfaceVisibility(27, 118, true))
		p.write(InterfaceText(27, 43, "opened by keys."))
		p.write(InterfaceVisibility(27, 24, true))
		p.write(InterfaceText(27, 44, ""))
		p.write(InterfaceVisibility(27, 26, true))
		p.write(InterfaceVisibility(27, 122, true))
		p.write(InterfaceText(27, 45, ""))
		p.write(InterfaceVisibility(27, 28, true))
		p.write(InterfaceVisibility(27, 124, true))
		p.write(InterfaceText(27, 46, ""))
		p.write(InterfaceVisibility(27, 30, true))
		p.write(InterfaceVisibility(27, 126, true))
		p.write(InterfaceText(27, 47, ""))
		p.write(InterfaceVisibility(27, 32, true))
		p.write(InterfaceVisibility(27, 128, true))
		p.write(InterfaceVisibility(27, 64, true))
		p.write(InterfaceVisibility(27, 130, true))
		p.write(InterfaceText(27, 48, "<col=000080>The Keys"))
		p.write(InterfaceVisibility(27, 66, true))
		p.write(InterfaceVisibility(27, 132, true))
		p.write(InterfaceText(27, 49, ""))
		p.write(InterfaceVisibility(27, 68, true))
		p.write(InterfaceVisibility(27, 134, true))
		p.write(InterfaceText(27, 50, "The keys themselves are"))
		p.write(InterfaceVisibility(27, 70, true))
		p.write(InterfaceVisibility(27, 136, true))
		p.write(InterfaceText(27, 51, "found around death. Through"))
		p.write(InterfaceVisibility(27, 72, true))
		p.write(InterfaceVisibility(27, 138, true))
		p.write(InterfaceText(27, 52, "meticulous trial and error,"))
		p.write(InterfaceVisibility(27, 74, true))
		p.write(InterfaceVisibility(27, 140, true))
		p.write(InterfaceText(27, 53, "we've discovered that the"))
		p.write(InterfaceVisibility(27, 76, true))
		p.write(InterfaceVisibility(27, 142, true))
		p.write(InterfaceText(27, 54, "adorned wealth of both the"))
		p.write(InterfaceVisibility(27, 78, true))
		p.write(InterfaceVisibility(27, 144, true))
		p.write(InterfaceText(27, 55, "predator and the prey come"))
		p.write(InterfaceVisibility(27, 80, true))
		p.write(InterfaceVisibility(27, 146, true))
		p.write(InterfaceText(27, 56, "into consideration."))
		p.write(InterfaceVisibility(27, 82, true))
		p.write(InterfaceVisibility(27, 148, true))
		p.write(InterfaceText(27, 57, ""))
		p.write(InterfaceVisibility(27, 84, true))
		p.write(InterfaceVisibility(27, 150, true))
		p.write(InterfaceText(27, 58, "The keys have several variants,"))
		p.write(InterfaceVisibility(27, 86, true))
		p.write(InterfaceVisibility(27, 152, true))
		p.write(InterfaceText(27, 59, "ranging everywhere from"))
		p.write(InterfaceVisibility(27, 88, true))
		p.write(InterfaceVisibility(27, 154, true))
		p.write(InterfaceText(27, 60, "(Easy) to (Elite), and when"))
		p.write(InterfaceVisibility(27, 90, true))
		p.write(InterfaceVisibility(27, 156, true))
		p.write(InterfaceText(27, 61, "used on the chest will provide"))
		p.write(InterfaceVisibility(27, 92, true))
		p.write(InterfaceVisibility(27, 158, true))
		p.write(InterfaceText(27, 62, "rewards reflective of their rarity."))
		p.write(InterfaceVisibility(27, 97, false))
		p.write(InterfaceVisibility(27, 95, false))
	}
	
	@Suspendable fun forth_page(it: Script) {
		val p = it.player()
		
		it.player().stopActions(false)
		p.putattrib(AttributeKey.QA_BOOK_PAGE, 4)
		p.interfaces().sendMain(27)
		p.invokeScript(InvokeScript.SETVARCS, -1, -1)
		it.animate(1350)
		
		p.write(InterfaceText(27, 98, "7"))
		p.write(InterfaceText(27, 99, "8"))
		p.write(InterfaceVisibility(27, 4, true))
		p.write(InterfaceVisibility(27, 100, true))
		p.write(InterfaceText(27, 33, ""))
		p.write(InterfaceVisibility(27, 6, true))
		p.write(InterfaceVisibility(27, 102, true))
		p.write(InterfaceText(27, 34, ""))
		p.write(InterfaceVisibility(27, 8, true))
		p.write(InterfaceVisibility(27, 104, true))
		p.write(InterfaceText(27, 35, "* Keys apparently seem to"))
		p.write(InterfaceVisibility(27, 10, true))
		p.write(InterfaceVisibility(27, 106, true))
		p.write(InterfaceText(27, 36, "limit mobility. The possessor"))
		p.write(InterfaceVisibility(27, 12, true))
		p.write(InterfaceVisibility(27, 108, true))
		p.write(InterfaceText(27, 37, "was unable to teleport upon"))
		p.write(InterfaceVisibility(27, 14, true))
		p.write(InterfaceVisibility(27, 110, true))
		p.write(InterfaceText(27, 38, "acquiring a key and was"))
		p.write(InterfaceVisibility(27, 16, true))
		p.write(InterfaceVisibility(27, 112, true))
		p.write(InterfaceText(27, 39, "required to move on foot"))
		p.write(InterfaceVisibility(27, 18, true))
		p.write(InterfaceVisibility(27, 114, true))
		p.write(InterfaceText(27, 40, "alone."))
		p.write(InterfaceVisibility(27, 20, true))
		p.write(InterfaceVisibility(27, 116, true))
		p.write(InterfaceText(27, 41, ""))
		p.write(InterfaceText(27, 42, "* Keys could not be interch-"))
		p.write(InterfaceVisibility(27, 22, true))
		p.write(InterfaceVisibility(27, 118, true))
		p.write(InterfaceText(27, 43, "anged between members within"))
		p.write(InterfaceVisibility(27, 24, true))
		p.write(InterfaceText(27, 44, "the wilderness."))
		p.write(InterfaceVisibility(27, 26, true))
		p.write(InterfaceVisibility(27, 122, true))
		p.write(InterfaceText(27, 45, ""))
		p.write(InterfaceVisibility(27, 28, true))
		p.write(InterfaceVisibility(27, 124, true))
		p.write(InterfaceText(27, 46, "* Upon being picked up, the "))
		p.write(InterfaceVisibility(27, 30, true))
		p.write(InterfaceVisibility(27, 126, true))
		p.write(InterfaceText(27, 47, "person to possess a key would"))
		p.write(InterfaceVisibility(27, 32, true))
		p.write(InterfaceVisibility(27, 128, true))
		p.write(InterfaceVisibility(27, 64, true))
		p.write(InterfaceVisibility(27, 130, true))
		p.write(InterfaceText(27, 48, ""))
		p.write(InterfaceVisibility(27, 66, true))
		p.write(InterfaceVisibility(27, 132, true))
		p.write(InterfaceText(27, 49, ""))
		p.write(InterfaceVisibility(27, 68, true))
		p.write(InterfaceVisibility(27, 134, true))
		p.write(InterfaceText(27, 50, "begin to glow."))
		p.write(InterfaceVisibility(27, 70, true))
		p.write(InterfaceVisibility(27, 136, true))
		p.write(InterfaceText(27, 51, ""))
		p.write(InterfaceVisibility(27, 72, true))
		p.write(InterfaceVisibility(27, 138, true))
		p.write(InterfaceText(27, 52, "* Keys could be merged"))
		p.write(InterfaceVisibility(27, 74, true))
		p.write(InterfaceVisibility(27, 140, true))
		p.write(InterfaceText(27, 53, "together if one of every rarity "))
		p.write(InterfaceVisibility(27, 76, true))
		p.write(InterfaceVisibility(27, 142, true))
		p.write(InterfaceText(27, 54, "was combined. We've chosen to"))
		p.write(InterfaceVisibility(27, 78, true))
		p.write(InterfaceVisibility(27, 144, true))
		p.write(InterfaceText(27, 55, "refer to these as (Master) keys."))
		p.write(InterfaceVisibility(27, 80, true))
		p.write(InterfaceVisibility(27, 146, true))
		p.write(InterfaceText(27, 56, ""))
		p.write(InterfaceVisibility(27, 82, true))
		p.write(InterfaceVisibility(27, 148, true))
		p.write(InterfaceText(27, 57, "* Keys would shatter and"))
		p.write(InterfaceVisibility(27, 84, true))
		p.write(InterfaceVisibility(27, 150, true))
		p.write(InterfaceText(27, 58, "disappear if dropped."))
		p.write(InterfaceVisibility(27, 86, true))
		p.write(InterfaceVisibility(27, 152, true))
		p.write(InterfaceText(27, 59, ""))
		p.write(InterfaceVisibility(27, 88, true))
		p.write(InterfaceVisibility(27, 154, true))
		p.write(InterfaceText(27, 60, ""))
		p.write(InterfaceVisibility(27, 90, true))
		p.write(InterfaceVisibility(27, 156, true))
		p.write(InterfaceText(27, 61, ""))
		p.write(InterfaceVisibility(27, 92, true))
		p.write(InterfaceVisibility(27, 158, true))
		p.write(InterfaceText(27, 62, ""))
		p.write(InterfaceVisibility(27, 97, false))
		p.write(InterfaceVisibility(27, 95, false))
	}
	
	@Suspendable fun fifth_page(it: Script) {
		val p = it.player()
		
		it.player().stopActions(false)
		p.putattrib(AttributeKey.QA_BOOK_PAGE, 5)
		p.interfaces().sendMain(27)
		p.invokeScript(InvokeScript.SETVARCS, -1, -1)
		it.animate(1350)
		
		p.write(InterfaceText(27, 98, "9"))
		p.write(InterfaceText(27, 99, "10"))
		p.write(InterfaceVisibility(27, 4, true))
		p.write(InterfaceVisibility(27, 100, true))
		p.write(InterfaceText(27, 33, "<col=000080>The Methodology"))
		p.write(InterfaceVisibility(27, 6, true))
		p.write(InterfaceVisibility(27, 102, true))
		p.write(InterfaceText(27, 34, ""))
		p.write(InterfaceVisibility(27, 8, true))
		p.write(InterfaceVisibility(27, 104, true))
		p.write(InterfaceText(27, 35, "Though the methodology is"))
		p.write(InterfaceVisibility(27, 10, true))
		p.write(InterfaceVisibility(27, 106, true))
		p.write(InterfaceText(27, 36, "still unclear, we've learned"))
		p.write(InterfaceVisibility(27, 12, true))
		p.write(InterfaceVisibility(27, 108, true))
		p.write(InterfaceText(27, 37, "as much about it in our time"))
		p.write(InterfaceVisibility(27, 14, true))
		p.write(InterfaceVisibility(27, 110, true))
		p.write(InterfaceText(27, 38, "as we were able. The keys"))
		p.write(InterfaceVisibility(27, 16, true))
		p.write(InterfaceVisibility(27, 112, true))
		p.write(InterfaceText(27, 39, "themselves didn't seem to"))
		p.write(InterfaceVisibility(27, 18, true))
		p.write(InterfaceVisibility(27, 114, true))
		p.write(InterfaceText(27, 40, "drop upon every death."))
		p.write(InterfaceVisibility(27, 20, true))
		p.write(InterfaceVisibility(27, 116, true))
		p.write(InterfaceText(27, 41, ""))
		p.write(InterfaceText(27, 42, "We'd noticed the rate would"))
		p.write(InterfaceVisibility(27, 22, true))
		p.write(InterfaceVisibility(27, 118, true))
		p.write(InterfaceText(27, 43, "vary, and the drop would not"))
		p.write(InterfaceVisibility(27, 24, true))
		p.write(InterfaceText(27, 44, "be guaranteed, but would be"))
		p.write(InterfaceVisibility(27, 26, true))
		p.write(InterfaceVisibility(27, 122, true))
		p.write(InterfaceText(27, 45, "influenced by the adorned"))
		p.write(InterfaceVisibility(27, 28, true))
		p.write(InterfaceVisibility(27, 124, true))
		p.write(InterfaceText(27, 46, "wealth of both the prey and"))
		p.write(InterfaceVisibility(27, 30, true))
		p.write(InterfaceVisibility(27, 126, true))
		p.write(InterfaceText(27, 47, "the predator."))
		p.write(InterfaceVisibility(27, 32, true))
		p.write(InterfaceVisibility(27, 128, true))
		p.write(InterfaceVisibility(27, 64, true))
		p.write(InterfaceVisibility(27, 130, true))
		p.write(InterfaceText(27, 48, ""))
		p.write(InterfaceVisibility(27, 66, true))
		p.write(InterfaceVisibility(27, 132, true))
		p.write(InterfaceText(27, 49, ""))
		p.write(InterfaceVisibility(27, 68, true))
		p.write(InterfaceVisibility(27, 134, true))
		p.write(InterfaceText(27, 50, "In other words, the more both"))
		p.write(InterfaceVisibility(27, 70, true))
		p.write(InterfaceVisibility(27, 136, true))
		p.write(InterfaceText(27, 51, "people were wearing, the better"))
		p.write(InterfaceVisibility(27, 72, true))
		p.write(InterfaceVisibility(27, 138, true))
		p.write(InterfaceText(27, 52, "the chance of drop. The metho-"))
		p.write(InterfaceVisibility(27, 74, true))
		p.write(InterfaceVisibility(27, 140, true))
		p.write(InterfaceText(27, 53, "dology behind such madness is"))
		p.write(InterfaceVisibility(27, 76, true))
		p.write(InterfaceVisibility(27, 142, true))
		p.write(InterfaceText(27, 54, "still unknown, but perhaps the"))
		p.write(InterfaceVisibility(27, 78, true))
		p.write(InterfaceVisibility(27, 144, true))
		p.write(InterfaceText(27, 55, "keys themselves are also"))
		p.write(InterfaceVisibility(27, 80, true))
		p.write(InterfaceVisibility(27, 146, true))
		p.write(InterfaceText(27, 56, "influenced by wealth."))
		p.write(InterfaceVisibility(27, 82, true))
		p.write(InterfaceVisibility(27, 148, true))
		p.write(InterfaceText(27, 57, ""))
		p.write(InterfaceVisibility(27, 84, true))
		p.write(InterfaceVisibility(27, 150, true))
		p.write(InterfaceText(27, 58, "We will continue our study at"))
		p.write(InterfaceVisibility(27, 86, true))
		p.write(InterfaceVisibility(27, 152, true))
		p.write(InterfaceText(27, 59, "a later time."))
		p.write(InterfaceVisibility(27, 88, true))
		p.write(InterfaceVisibility(27, 154, true))
		p.write(InterfaceText(27, 60, ""))
		p.write(InterfaceVisibility(27, 90, true))
		p.write(InterfaceVisibility(27, 156, true))
		p.write(InterfaceText(27, 61, ""))
		p.write(InterfaceText(27, 62, ""))
		p.write(InterfaceVisibility(27, 92, true))
		p.write(InterfaceVisibility(27, 158, true))
		p.write(InterfaceVisibility(27, 97, true))
		p.write(InterfaceVisibility(27, 95, false))
	}
}